<?php
/**
 * Grimlock WooCommerce template functions for YITH WooCommerce Wishlist.
 *
 * @package grimlock-woocommerce
 */

/**
 * Display the wishlist button
 */
function grimlock_woocommerce_yith_woocommerce_wishlist_button() {
	if ( is_user_logged_in() && function_exists( 'YITH_WCWL' ) ) : ?>
		<?php $wishlist_url = YITH_WCWL()->get_wishlist_url(); ?>
		<div class="widget_shopping_cart">
			<div class="woocommerce-mini-cart__buttons buttons">
				<a href="<?php echo esc_url( $wishlist_url ); ?>" class="button btn-xs w-100 rounded-0 text-center"><?php esc_html_e( 'My wishlist', 'grimlock-woocommerce' ); ?></a>
			</div>
		</div>
	<?php endif;
}
